# Login failed

A decision block that awaits a failed or successful password unlock.

The fiber will pause until an attempt to unlock the device has failed and proceed through the YES path, or the device was successfully unlocked after a failed attempt and proceed through the NO path.

Only work for screen lock, e.g. PIN and password, not “smart lock”, e.g. “fingerprint”. A partially entered pattern with less that 4 dots may not register as a failed attempt. Use the Device unlocked block to await a successful device unlock regardless of prior failure.

Note! This block may be unreliable on some device, especially the failed attempts count. Try disabling other device administrators as they may cause interference.

## Output variables

- Failed attempts — variable to assign the number of failed attempts.